CategoryGuesser
Date: 2013-05-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.lexicalmatcher.analysis.run
Class CategoryGuesser

    java.lang.Object
      org.gcube.contentmanagement.lexicalmatcher.analysis.run.CategoryGuesser

    public class CategoryGuesser

extends java.lang.Object

Constructor Summary
`CategoryGuesser()`
`CategoryGuesser(java.lang.String ConfigPath)`

Method Summary
`static void` | `AccuracyCalc(CategoryGuesser guesser, java.lang.String configPath, java.lang.String seriesName, java.lang.String column, int attempts, java.lang.String correctFamily, java.lang.String correctColumn)`
`static void` | `AccuracyCalc(LexicalEngineConfiguration externalcfg, CategoryGuesser guesser, java.lang.String configPath, java.lang.String seriesName, java.lang.String column, int attempts, java.lang.String correctFamily, java.lang.String correctColumn)`
`static boolean` | `CheckCompleteResult(java.lang.String result, java.lang.String family, java.lang.String column)`
`static boolean` | `CheckFamilyResult(java.lang.String result, java.lang.String family)`
`java.util.ArrayList<SingleResult>` | `getClassification()`
`java.util.ArrayList<SingleResult>` | `getClassificationOLD()`
`java.util.ArrayList<SingleResult>` | `getClassificationPlain()`
`java.util.ArrayList<SingleResult>` | `getDetailedMatches()`
`java.lang.String` | `getDetailedSingletonEntry()`
`void` | `init()`
`void` | `init(LexicalEngineConfiguration externalConfig)`
`void` | `init(java.lang.String categoryFilter, java.lang.String columnFilter)`
`void` | `init(java.lang.String categoryFilter, java.lang.String columnFilter, LexicalEngineConfiguration externalConfig)`
`void` | `initSingleMatcher(LexicalEngineConfiguration externalConfig, java.lang.String ColumnFilter)`
`void` | `refreshReferences()`
`static java.lang.String` | `resultString(java.lang.String result, java.lang.String family, java.lang.String column)`
`void` | `runGuesser(java.lang.String SingletonString, LexicalEngineConfiguration externalConfig, java.lang.String CategoryFilter, java.lang.String ColumnFilter)`
`void` | `runGuesser(java.lang.String seriesName, java.lang.String columnName)`
`void` | `runGuesser(java.lang.String seriesName, java.lang.String columnName, LexicalEngineConfiguration externalConfig)`
`void` | `runGuesser(java.lang.String seriesName, java.lang.String columnName, LexicalEngineConfiguration externalConfig, java.lang.String CategoryFilter, java.lang.String ColumnFilter)`
`void` | `runGuesser(java.lang.String seriesName, java.lang.String columnName, LexicalEngineConfiguration externalConfig, java.lang.String CategoryFilter, java.lang.String ColumnFilter, java.lang.String SingletonString)`
`static void` | `showResults(java.util.ArrayList<SingleResult> results)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryGuesser

    public CategoryGuesser(java.lang.String ConfigPath)

### CategoryGuesser

    public CategoryGuesser()

Method Detail

### showResults

    public static void showResults(java.util.ArrayList<SingleResult> results)

### AccuracyCalc

    public static void AccuracyCalc(CategoryGuesser guesser,
                                    java.lang.String configPath,
                                    java.lang.String seriesName,
                                    java.lang.String column,
                                    int attempts,
                                    java.lang.String correctFamily,
                                    java.lang.String correctColumn)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### AccuracyCalc

    public static void AccuracyCalc(LexicalEngineConfiguration externalcfg,
                                    CategoryGuesser guesser,
                                    java.lang.String configPath,
                                    java.lang.String seriesName,
                                    java.lang.String column,
                                    int attempts,
                                    java.lang.String correctFamily,
                                    java.lang.String correctColumn)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### resultString

    public static java.lang.String resultString(java.lang.String result,
                                                java.lang.String family,
                                                java.lang.String column)

### CheckCompleteResult

    public static boolean CheckCompleteResult(java.lang.String result,
                                              java.lang.String family,
                                              java.lang.String column)

### CheckFamilyResult

    public static boolean CheckFamilyResult(java.lang.String result,
                                            java.lang.String family)

### runGuesser

    public void runGuesser(java.lang.String seriesName,
                           java.lang.String columnName,
                           LexicalEngineConfiguration externalConfig)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### runGuesser

    public void runGuesser(java.lang.String seriesName,
                           java.lang.String columnName)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### runGuesser

    public void runGuesser(java.lang.String seriesName,
                           java.lang.String columnName,
                           LexicalEngineConfiguration externalConfig,
                           java.lang.String CategoryFilter,
                           java.lang.String ColumnFilter)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### runGuesser

    public void runGuesser(java.lang.String SingletonString,
                           LexicalEngineConfiguration externalConfig,
                           java.lang.String CategoryFilter,
                           java.lang.String ColumnFilter)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public void init(java.lang.String categoryFilter,
                     java.lang.String columnFilter,
                     LexicalEngineConfiguration externalConfig)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### initSingleMatcher

    public void initSingleMatcher(LexicalEngineConfiguration externalConfig,
                                  java.lang.String ColumnFilter)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public void init(java.lang.String categoryFilter,
                     java.lang.String columnFilter)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public void init(LexicalEngineConfiguration externalConfig)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public void init()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### refreshReferences

    public void refreshReferences()

### runGuesser

    public void runGuesser(java.lang.String seriesName,
                           java.lang.String columnName,
                           LexicalEngineConfiguration externalConfig,
                           java.lang.String CategoryFilter,
                           java.lang.String ColumnFilter,
                           java.lang.String SingletonString)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getClassificationOLD

    public java.util.ArrayList<SingleResult> getClassificationOLD()

### getDetailedMatches

    public java.util.ArrayList<SingleResult> getDetailedMatches()

### getDetailedSingletonEntry

    public java.lang.String getDetailedSingletonEntry()

### getClassificationPlain

    public java.util.ArrayList<SingleResult> getClassificationPlain()

### getClassification

    public java.util.ArrayList<SingleResult> getClassification()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD